%{?nodejs_find_provides_and_requires}

%global packagename css-select

Name:		nodejs-css-select
Version:	1.1.0
Release:	2%{?dist}
Summary:	A CSS selector compiler/engine

License:	BSD
URL:		https://github.com/fb55/css-select.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
A CSS selector compiler/engine


%prep
%setup -q -n package
%nodejs_fixdep nodejs-domutils


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-2
- Fix up nodejs required versions of domutils

* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
